package com.hipme.cellinfo;

import danger.ui.DialogWindow;
import danger.ui.TextField;
import danger.ui.TypeAheadTextField;
import danger.ui.StaticText;
import danger.ui.CheckBox;

public class MyDialogWindow extends DialogWindow {
  public MyDialogWindow() { super(); }
  public MyDialogWindow(boolean i) { super(i); }
  public MyDialogWindow(String string) { super(string); }
  public MyDialogWindow(String string, int i) { super(string, i); }
  public MyDialogWindow(String string, int i, boolean j) { super(string, i, j); }

  public String getStringValue(int id) {
    Object o = (getDescendantWithID(id));
    if (o instanceof TextField) 
      return ((TextField)o).toString();
    if (o instanceof StaticText)
      return ((StaticText)o).getText();
    else {
      throw new RuntimeException("unknown getStringValue " + o);
    }
  }

	
  public boolean getBooleanValue(int id) {
    return (((CheckBox)(getDescendantWithID(id))).getValue() != 0);
  }

  public void setStringValue(int id, String value) {
    Object o = (getDescendantWithID(id));
    if (o instanceof TextField) 
      ((TextField)o).setText(value);
    else if (o instanceof StaticText)
      ((StaticText)o).setText(value);
    else throw new RuntimeException("unknown setStringValue " + o);
  }
	
  public void setBooleanValue(int id, boolean value) {
    ((CheckBox)(getDescendantWithID(id))).setValue(value ? 1 : 0);
  }
	
  public void showText(int id) {
    ((StaticText)(getDescendantWithID(id))).show();
  }

  public void hideText(int id) {
    ((StaticText)(getDescendantWithID(id))).hide();
  }

}
